import{S as un,i as _n,s as vn,e as a,k as m,w as E,t as i,M as bn,c as s,d as t,m as p,a as r,x as M,h as d,b as l,N as En,G as o,g as f,y as A,q as y,o as w,B as V,v as Mn,L as aa}from"../../chunks/vendor-hf-doc-builder.js";import{T as cr}from"../../chunks/Tip-hf-doc-builder.js";import{D as S}from"../../chunks/Docstring-hf-doc-builder.js";import{C as sa}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ee}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as ta}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function An($){let h,b,_,g,v;return g=new sa({props:{code:`from transformers import VideoMAEConfig, VideoMAEModel

# Initializing a VideoMAE videomae-base style configuration
configuration = VideoMAEConfig()

# Randomly initializing a model from the configuration
model = VideoMAEModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> VideoMAEConfig, VideoMAEModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a VideoMAE videomae-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = VideoMAEConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Randomly initializing a model from the configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VideoMAEModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){h=a("p"),b=i("Example:"),_=m(),E(g.$$.fragment)},l(n){h=s(n,"P",{});var u=r(h);b=d(u,"Example:"),u.forEach(t),_=p(n),M(g.$$.fragment,n)},m(n,u){f(n,h,u),o(h,b),f(n,_,u),A(g,n,u),v=!0},p:aa,i(n){v||(y(g.$$.fragment,n),v=!0)},o(n){w(g.$$.fragment,n),v=!1},d(n){n&&t(h),n&&t(_),V(g,n)}}}function yn($){let h,b,_,g,v;return{c(){h=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){h=s(n,"P",{});var u=r(h);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(u,"CODE",{});var T=r(_);g=d(T,"Module"),T.forEach(t),v=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){f(n,h,u),o(h,b),o(h,_),o(_,g),o(h,v)},d(n){n&&t(h)}}}function wn($){let h,b,_,g,v;return g=new sa({props:{code:`from decord import VideoReader, cpu
import numpy as np

from transformers import VideoMAEFeatureExtractor, VideoMAEModel
from huggingface_hub import hf_hub_download


def sample_frame_indices(clip_len, frame_sample_rate, seg_len):
    converted_len = int(clip_len * frame_sample_rate)
    end_idx = np.random.randint(converted_len, seg_len)
    start_idx = end_idx - converted_len
    indices = np.linspace(start_idx, end_idx, num=clip_len)
    indices = np.clip(indices, start_idx, end_idx - 1).astype(np.int64)
    return indices


# video clip consists of 300 frames (10 seconds at 30 FPS)
file_path = hf_hub_download(
    repo_id="nielsr/video-demo", filename="eating_spaghetti.mp4", repo_type="dataset"
)
videoreader = VideoReader(file_path, num_threads=1, ctx=cpu(0))

# sample 16 frames
videoreader.seek(0)
indices = sample_frame_indices(clip_len=16, frame_sample_rate=4, seg_len=len(videoreader))
video = videoreader.get_batch(indices).asnumpy()

feature_extractor = VideoMAEFeatureExtractor.from_pretrained("MCG-NJU/videomae-base")
model = VideoMAEModel.from_pretrained("MCG-NJU/videomae-base")

# prepare video for the model
inputs = feature_extractor(list(video), return_tensors="pt")

# forward pass
outputs = model(**inputs)
last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> decord <span class="hljs-keyword">import</span> VideoReader, cpu
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> VideoMAEFeatureExtractor, VideoMAEModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">sample_frame_indices</span>(<span class="hljs-params">clip_len, frame_sample_rate, seg_len</span>):
<span class="hljs-meta">... </span>    converted_len = <span class="hljs-built_in">int</span>(clip_len * frame_sample_rate)
<span class="hljs-meta">... </span>    end_idx = np.random.randint(converted_len, seg_len)
<span class="hljs-meta">... </span>    start_idx = end_idx - converted_len
<span class="hljs-meta">... </span>    indices = np.linspace(start_idx, end_idx, num=clip_len)
<span class="hljs-meta">... </span>    indices = np.clip(indices, start_idx, end_idx - <span class="hljs-number">1</span>).astype(np.int64)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> indices


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># video clip consists of 300 frames (10 seconds at 30 FPS)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>file_path = hf_hub_download(
<span class="hljs-meta">... </span>    repo_id=<span class="hljs-string">&quot;nielsr/video-demo&quot;</span>, filename=<span class="hljs-string">&quot;eating_spaghetti.mp4&quot;</span>, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>videoreader = VideoReader(file_path, num_threads=<span class="hljs-number">1</span>, ctx=cpu(<span class="hljs-number">0</span>))

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># sample 16 frames</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>videoreader.seek(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>indices = sample_frame_indices(clip_len=<span class="hljs-number">16</span>, frame_sample_rate=<span class="hljs-number">4</span>, seg_len=<span class="hljs-built_in">len</span>(videoreader))
<span class="hljs-meta">&gt;&gt;&gt; </span>video = videoreader.get_batch(indices).asnumpy()

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = VideoMAEFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VideoMAEModel.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># prepare video for the model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(<span class="hljs-built_in">list</span>(video), return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">1568</span>, <span class="hljs-number">768</span>]`}}),{c(){h=a("p"),b=i("Examples:"),_=m(),E(g.$$.fragment)},l(n){h=s(n,"P",{});var u=r(h);b=d(u,"Examples:"),u.forEach(t),_=p(n),M(g.$$.fragment,n)},m(n,u){f(n,h,u),o(h,b),f(n,_,u),A(g,n,u),v=!0},p:aa,i(n){v||(y(g.$$.fragment,n),v=!0)},o(n){w(g.$$.fragment,n),v=!1},d(n){n&&t(h),n&&t(_),V(g,n)}}}function Vn($){let h,b,_,g,v;return{c(){h=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){h=s(n,"P",{});var u=r(h);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(u,"CODE",{});var T=r(_);g=d(T,"Module"),T.forEach(t),v=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){f(n,h,u),o(h,b),o(h,_),o(_,g),o(h,v)},d(n){n&&t(h)}}}function $n($){let h,b,_,g,v;return g=new sa({props:{code:`from transformers import VideoMAEFeatureExtractor, VideoMAEForPreTraining
import numpy as np
import torch

num_frames = 16
video = list(np.random.randn(16, 3, 224, 224))

feature_extractor = VideoMAEFeatureExtractor.from_pretrained("MCG-NJU/videomae-base")
model = VideoMAEForPreTraining.from_pretrained("MCG-NJU/videomae-base")

pixel_values = feature_extractor(video, return_tensors="pt").pixel_values

num_patches_per_frame = (model.config.image_size // model.config.patch_size) ** 2
seq_length = (num_frames // model.config.tubelet_size) * num_patches_per_frame
bool_masked_pos = torch.randint(0, 2, (1, seq_length)).bool()

outputs = model(pixel_values, bool_masked_pos=bool_masked_pos)
loss = outputs.loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> VideoMAEFeatureExtractor, VideoMAEForPreTraining
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>num_frames = <span class="hljs-number">16</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>video = <span class="hljs-built_in">list</span>(np.random.randn(<span class="hljs-number">16</span>, <span class="hljs-number">3</span>, <span class="hljs-number">224</span>, <span class="hljs-number">224</span>))

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = VideoMAEFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VideoMAEForPreTraining.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>pixel_values = feature_extractor(video, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).pixel_values

<span class="hljs-meta">&gt;&gt;&gt; </span>num_patches_per_frame = (model.config.image_size // model.config.patch_size) ** <span class="hljs-number">2</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>seq_length = (num_frames // model.config.tubelet_size) * num_patches_per_frame
<span class="hljs-meta">&gt;&gt;&gt; </span>bool_masked_pos = torch.randint(<span class="hljs-number">0</span>, <span class="hljs-number">2</span>, (<span class="hljs-number">1</span>, seq_length)).<span class="hljs-built_in">bool</span>()

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(pixel_values, bool_masked_pos=bool_masked_pos)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss`}}),{c(){h=a("p"),b=i("Examples:"),_=m(),E(g.$$.fragment)},l(n){h=s(n,"P",{});var u=r(h);b=d(u,"Examples:"),u.forEach(t),_=p(n),M(g.$$.fragment,n)},m(n,u){f(n,h,u),o(h,b),f(n,_,u),A(g,n,u),v=!0},p:aa,i(n){v||(y(g.$$.fragment,n),v=!0)},o(n){w(g.$$.fragment,n),v=!1},d(n){n&&t(h),n&&t(_),V(g,n)}}}function Tn($){let h,b,_,g,v;return{c(){h=a("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){h=s(n,"P",{});var u=r(h);b=d(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(u,"CODE",{});var T=r(_);g=d(T,"Module"),T.forEach(t),v=d(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(n,u){f(n,h,u),o(h,b),o(h,_),o(_,g),o(h,v)},d(n){n&&t(h)}}}function xn($){let h,b,_,g,v;return g=new sa({props:{code:`from decord import VideoReader, cpu
import torch
import numpy as np

from transformers import VideoMAEFeatureExtractor, VideoMAEForVideoClassification
from huggingface_hub import hf_hub_download

np.random.seed(0)


def sample_frame_indices(clip_len, frame_sample_rate, seg_len):
    converted_len = int(clip_len * frame_sample_rate)
    end_idx = np.random.randint(converted_len, seg_len)
    start_idx = end_idx - converted_len
    indices = np.linspace(start_idx, end_idx, num=clip_len)
    indices = np.clip(indices, start_idx, end_idx - 1).astype(np.int64)
    return indices


# video clip consists of 300 frames (10 seconds at 30 FPS)
file_path = hf_hub_download(
    repo_id="nielsr/video-demo", filename="eating_spaghetti.mp4", repo_type="dataset"
)
videoreader = VideoReader(file_path, num_threads=1, ctx=cpu(0))

# sample 16 frames
videoreader.seek(0)
indices = sample_frame_indices(clip_len=16, frame_sample_rate=4, seg_len=len(videoreader))
video = videoreader.get_batch(indices).asnumpy()

feature_extractor = VideoMAEFeatureExtractor.from_pretrained("MCG-NJU/videomae-base-finetuned-kinetics")
model = VideoMAEForVideoClassification.from_pretrained("MCG-NJU/videomae-base-finetuned-kinetics")

inputs = feature_extractor(list(video), return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)
    logits = outputs.logits

# model predicts one of the 400 Kinetics-400 classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> decord <span class="hljs-keyword">import</span> VideoReader, cpu
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> VideoMAEFeatureExtractor, VideoMAEForVideoClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> hf_hub_download

<span class="hljs-meta">&gt;&gt;&gt; </span>np.random.seed(<span class="hljs-number">0</span>)


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">def</span> <span class="hljs-title function_">sample_frame_indices</span>(<span class="hljs-params">clip_len, frame_sample_rate, seg_len</span>):
<span class="hljs-meta">... </span>    converted_len = <span class="hljs-built_in">int</span>(clip_len * frame_sample_rate)
<span class="hljs-meta">... </span>    end_idx = np.random.randint(converted_len, seg_len)
<span class="hljs-meta">... </span>    start_idx = end_idx - converted_len
<span class="hljs-meta">... </span>    indices = np.linspace(start_idx, end_idx, num=clip_len)
<span class="hljs-meta">... </span>    indices = np.clip(indices, start_idx, end_idx - <span class="hljs-number">1</span>).astype(np.int64)
<span class="hljs-meta">... </span>    <span class="hljs-keyword">return</span> indices


<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># video clip consists of 300 frames (10 seconds at 30 FPS)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>file_path = hf_hub_download(
<span class="hljs-meta">... </span>    repo_id=<span class="hljs-string">&quot;nielsr/video-demo&quot;</span>, filename=<span class="hljs-string">&quot;eating_spaghetti.mp4&quot;</span>, repo_type=<span class="hljs-string">&quot;dataset&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>videoreader = VideoReader(file_path, num_threads=<span class="hljs-number">1</span>, ctx=cpu(<span class="hljs-number">0</span>))

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># sample 16 frames</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>videoreader.seek(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>indices = sample_frame_indices(clip_len=<span class="hljs-number">16</span>, frame_sample_rate=<span class="hljs-number">4</span>, seg_len=<span class="hljs-built_in">len</span>(videoreader))
<span class="hljs-meta">&gt;&gt;&gt; </span>video = videoreader.get_batch(indices).asnumpy()

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = VideoMAEFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base-finetuned-kinetics&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = VideoMAEForVideoClassification.from_pretrained(<span class="hljs-string">&quot;MCG-NJU/videomae-base-finetuned-kinetics&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(<span class="hljs-built_in">list</span>(video), return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)
<span class="hljs-meta">... </span>    logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 400 Kinetics-400 classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
eating spaghetti`}}),{c(){h=a("p"),b=i("Examples:"),_=m(),E(g.$$.fragment)},l(n){h=s(n,"P",{});var u=r(h);b=d(u,"Examples:"),u.forEach(t),_=p(n),M(g.$$.fragment,n)},m(n,u){f(n,h,u),o(h,b),f(n,_,u),A(g,n,u),v=!0},p:aa,i(n){v||(y(g.$$.fragment,n),v=!0)},o(n){w(g.$$.fragment,n),v=!1},d(n){n&&t(h),n&&t(_),V(g,n)}}}function Pn($){let h,b,_,g,v,n,u,T,ra,gt,R,oe,qo,Ve,na,Do,ia,ut,q,da,$e,la,ca,no,ma,pa,_t,io,ha,vt,lo,Lo,fa,bt,co,ga,Et,te,Te,ua,mo,_a,va,ba,po,ho,Ea,Ma,Mt,ae,mr,At,se,Aa,fo,ya,wa,yt,D,Va,xe,$a,Ta,Pe,xa,Pa,wt,O,re,Ro,je,ja,Oo,ka,Vt,go,za,$t,uo,Uo,Ca,Tt,L,_o,ke,Ia,Fa,Na,Wo,ze,Sa,qa,vo,Ce,Da,La,xt,U,ne,Go,Ie,Ra,Jo,Oa,Pt,x,Fe,Ua,W,Wa,bo,Ga,Ja,Ne,Ha,Ba,Ka,G,Ya,Eo,Za,Xa,Mo,Qa,es,os,ie,jt,J,de,Ho,Se,ts,Bo,as,kt,z,qe,ss,Ko,rs,ns,le,De,is,Yo,ds,zt,H,ce,Zo,Le,ls,Xo,cs,Ct,C,Re,ms,Qo,ps,hs,me,Oe,fs,et,gs,It,B,pe,ot,Ue,us,tt,_s,Ft,I,We,vs,Ge,bs,Je,Es,Ms,As,P,He,ys,K,ws,Ao,Vs,$s,at,Ts,xs,Ps,he,js,fe,Nt,Y,ge,st,Be,ks,rt,zs,St,F,Ke,Cs,Ye,Is,Ze,Fs,Ns,Ss,j,Xe,qs,Z,Ds,yo,Ls,Rs,nt,Os,Us,Ws,ue,Gs,_e,qt,X,ve,it,Qe,Js,dt,Hs,Dt,N,eo,Bs,oo,Ks,to,Ys,Zs,Xs,k,ao,Qs,Q,er,wo,or,tr,lt,ar,sr,rr,be,nr,Ee,Lt;return n=new ee({}),Ve=new ee({}),je=new ee({}),Ie=new ee({}),Fe=new S({props:{name:"class transformers.VideoMAEConfig",anchor:"transformers.VideoMAEConfig",parameters:[{name:"image_size",val:" = 224"},{name:"patch_size",val:" = 16"},{name:"num_channels",val:" = 3"},{name:"num_frames",val:" = 16"},{name:"tubelet_size",val:" = 2"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.0"},{name:"attention_probs_dropout_prob",val:" = 0.0"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"qkv_bias",val:" = True"},{name:"use_mean_pooling",val:" = True"},{name:"decoder_num_attention_heads",val:" = 6"},{name:"decoder_hidden_size",val:" = 384"},{name:"decoder_num_hidden_layers",val:" = 4"},{name:"decoder_intermediate_size",val:" = 1536"},{name:"norm_pix_loss",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 224) &#x2014;
The size (resolution) of each image.`,name:"image_size"},{anchor:"transformers.VideoMAEConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The size (resolution) of each patch.`,name:"patch_size"},{anchor:"transformers.VideoMAEConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.VideoMAEConfig.num_frames",description:`<strong>num_frames</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The number of frames in each video.`,name:"num_frames"},{anchor:"transformers.VideoMAEConfig.tubelet_size",description:`<strong>tubelet_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The number of tubelets.`,name:"tubelet_size"},{anchor:"transformers.VideoMAEConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.VideoMAEConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.VideoMAEConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.VideoMAEConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.VideoMAEConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.VideoMAEConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.VideoMAEConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.VideoMAEConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.VideoMAEConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.VideoMAEConfig.qkv_bias",description:`<strong>qkv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to add a bias to the queries, keys and values.`,name:"qkv_bias"},{anchor:"transformers.VideoMAEConfig.use_mean_pooling",description:`<strong>use_mean_pooling</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to mean pool the final hidden states instead of using the final hidden state of the [CLS] token.`,name:"use_mean_pooling"},{anchor:"transformers.VideoMAEConfig.decoder_num_attention_heads",description:`<strong>decoder_num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of attention heads for each attention layer in the decoder.`,name:"decoder_num_attention_heads"},{anchor:"transformers.VideoMAEConfig.decoder_hidden_size",description:`<strong>decoder_hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
Dimensionality of the decoder.`,name:"decoder_hidden_size"},{anchor:"transformers.VideoMAEConfig.decoder_num_hidden_layers",description:`<strong>decoder_num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
Number of hidden layers in the decoder.`,name:"decoder_num_hidden_layers"},{anchor:"transformers.VideoMAEConfig.decoder_intermediate_size",description:`<strong>decoder_intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1536) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the decoder.`,name:"decoder_intermediate_size"},{anchor:"transformers.VideoMAEConfig.norm_pix_loss",description:`<strong>norm_pix_loss</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the target patch pixels.`,name:"norm_pix_loss"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/videomae/configuration_videomae.py#L28"}}),ie=new ta({props:{anchor:"transformers.VideoMAEConfig.example",$$slots:{default:[An]},$$scope:{ctx:$}}}),Se=new ee({}),qe=new S({props:{name:"class transformers.VideoMAEImageProcessor",anchor:"transformers.VideoMAEImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_center_crop",val:": bool = True"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be overridden by the
<code>do_resize</code> parameter in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.VideoMAEImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 224}</code>):
Size of the output image after resizing. The shortest edge of the image will be resized to
<code>size[&quot;shortest_edge&quot;]</code> while maintaining the aspect ratio of the original image. Can be overriden by
<code>size</code> in the <code>preprocess</code> method.`,name:"size"},{anchor:"transformers.VideoMAEImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overridden by the <code>resample</code> parameter in the
<code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.VideoMAEImageProcessor.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to center crop the image to the specified <code>crop_size</code>. Can be overridden by the <code>do_center_crop</code>
parameter in the <code>preprocess</code> method.`,name:"do_center_crop"},{anchor:"transformers.VideoMAEImageProcessor.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>{&quot;height&quot; -- 224, &quot;width&quot;: 224}</code>):
Size of the image after applying the center crop. Can be overridden by the <code>crop_size</code> parameter in the
<code>preprocess</code> method.`,name:"crop_size"},{anchor:"transformers.VideoMAEImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by the <code>do_rescale</code>
parameter in the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.VideoMAEImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Defines the scale factor to use if rescaling the image. Can be overridden by the <code>rescale_factor</code> parameter
in the <code>preprocess</code> method.`,name:"rescale_factor"},{anchor:"transformers.VideoMAEImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.VideoMAEImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.VideoMAEImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/videomae/image_processing_videomae.py#L66"}}),De=new S({props:{name:"__call__",anchor:"transformers.VideoMAEImageProcessor.__call__",parameters:[{name:"images",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/image_processing_utils.py#L435"}}),Le=new ee({}),Re=new S({props:{name:"class transformers.VideoMAEImageProcessor",anchor:"transformers.VideoMAEImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_center_crop",val:": bool = True"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be overridden by the
<code>do_resize</code> parameter in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.VideoMAEImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 224}</code>):
Size of the output image after resizing. The shortest edge of the image will be resized to
<code>size[&quot;shortest_edge&quot;]</code> while maintaining the aspect ratio of the original image. Can be overriden by
<code>size</code> in the <code>preprocess</code> method.`,name:"size"},{anchor:"transformers.VideoMAEImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overridden by the <code>resample</code> parameter in the
<code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.VideoMAEImageProcessor.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to center crop the image to the specified <code>crop_size</code>. Can be overridden by the <code>do_center_crop</code>
parameter in the <code>preprocess</code> method.`,name:"do_center_crop"},{anchor:"transformers.VideoMAEImageProcessor.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>{&quot;height&quot; -- 224, &quot;width&quot;: 224}</code>):
Size of the image after applying the center crop. Can be overridden by the <code>crop_size</code> parameter in the
<code>preprocess</code> method.`,name:"crop_size"},{anchor:"transformers.VideoMAEImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by the <code>do_rescale</code>
parameter in the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.VideoMAEImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Defines the scale factor to use if rescaling the image. Can be overridden by the <code>rescale_factor</code> parameter
in the <code>preprocess</code> method.`,name:"rescale_factor"},{anchor:"transformers.VideoMAEImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.VideoMAEImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.VideoMAEImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/videomae/image_processing_videomae.py#L66"}}),Oe=new S({props:{name:"preprocess",anchor:"transformers.VideoMAEImageProcessor.preprocess",parameters:[{name:"videos",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"do_resize",val:": bool = None"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = None"},{name:"do_center_crop",val:": bool = None"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"do_rescale",val:": bool = None"},{name:"rescale_factor",val:": float = None"},{name:"do_normalize",val:": bool = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the image after applying resize.`,name:"size"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of the enum <code>PILImageResampling</code>, Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_centre_crop</code>) &#x2014;
Whether to centre crop the image.`,name:"do_center_crop"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.crop_size</code>) &#x2014;
Size of the image after applying the centre crop.`,name:"crop_size"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean.`,name:"image_mean"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.VideoMAEImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
<li>Unset: Use the inferred channel dimension format of the input image.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/videomae/image_processing_videomae.py#L282"}}),Ue=new ee({}),We=new S({props:{name:"class transformers.VideoMAEModel",anchor:"transformers.VideoMAEModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEConfig">VideoMAEConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/videomae/modeling_videomae.py#L537"}}),He=new S({props:{name:"forward",anchor:"transformers.VideoMAEModel.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"bool_masked_pos",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.VideoMAEModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_frames, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor">VideoMAEFeatureExtractor</a>. See
<a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor.__call__">VideoMAEFeatureExtractor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.VideoMAEModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.VideoMAEModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.VideoMAEModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.VideoMAEModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/videomae/modeling_videomae.py#L564",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEConfig"
>VideoMAEConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),he=new cr({props:{$$slots:{default:[yn]},$$scope:{ctx:$}}}),fe=new ta({props:{anchor:"transformers.VideoMAEModel.forward.example",$$slots:{default:[wn]},$$scope:{ctx:$}}}),Be=new ee({}),Ke=new S({props:{name:"class transformers.VideoMAEForPreTraining",anchor:"transformers.VideoMAEForPreTraining",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEConfig">VideoMAEConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/videomae/modeling_videomae.py#L734"}}),Xe=new S({props:{name:"forward",anchor:"transformers.VideoMAEForPreTraining.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"bool_masked_pos",val:": BoolTensor"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.VideoMAEForPreTraining.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_frames, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor">VideoMAEFeatureExtractor</a>. See
<a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor.__call__">VideoMAEFeatureExtractor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.VideoMAEForPreTraining.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.VideoMAEForPreTraining.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.VideoMAEForPreTraining.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.VideoMAEForPreTraining.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/videomae/modeling_videomae.py#L752",returnDescription:`
<p>A <code>transformers.models.videomae.modeling_videomae.VideoMAEForPreTrainingOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEConfig"
>VideoMAEConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 Pixel reconstruction loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, patch_size ** 2 * num_channels)</code>) \u2014 Pixel reconstruction logits.</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states of the model at the output of each layer
plus the initial embedding outputs.</li>
<li><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Attentions weights after the attention softmax, used to compute the weighted average in
the self-attention heads.</li>
</ul>
`,returnType:`
<p><code>transformers.models.videomae.modeling_videomae.VideoMAEForPreTrainingOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ue=new cr({props:{$$slots:{default:[Vn]},$$scope:{ctx:$}}}),_e=new ta({props:{anchor:"transformers.VideoMAEForPreTraining.forward.example",$$slots:{default:[$n]},$$scope:{ctx:$}}}),Qe=new ee({}),eo=new S({props:{name:"class transformers.VideoMAEForVideoClassification",anchor:"transformers.VideoMAEForVideoClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.VideoMAEForVideoClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEConfig">VideoMAEConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/videomae/modeling_videomae.py#L905"}}),ao=new S({props:{name:"forward",anchor:"transformers.VideoMAEForVideoClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.VideoMAEForVideoClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_frames, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor">VideoMAEFeatureExtractor</a>. See
<a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor.__call__">VideoMAEFeatureExtractor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.VideoMAEForVideoClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.VideoMAEForVideoClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.VideoMAEForVideoClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.VideoMAEForVideoClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.VideoMAEForVideoClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/videomae/modeling_videomae.py#L919",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutput"
>transformers.modeling_outputs.ImageClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEConfig"
>VideoMAEConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states
(also called feature maps) of the model at the output of each stage.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, patch_size, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutput"
>transformers.modeling_outputs.ImageClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),be=new cr({props:{$$slots:{default:[Tn]},$$scope:{ctx:$}}}),Ee=new ta({props:{anchor:"transformers.VideoMAEForVideoClassification.forward.example",$$slots:{default:[xn]},$$scope:{ctx:$}}}),{c(){h=a("meta"),b=m(),_=a("h1"),g=a("a"),v=a("span"),E(n.$$.fragment),u=m(),T=a("span"),ra=i("VideoMAE"),gt=m(),R=a("h2"),oe=a("a"),qo=a("span"),E(Ve.$$.fragment),na=m(),Do=a("span"),ia=i("Overview"),ut=m(),q=a("p"),da=i("The VideoMAE model was proposed in "),$e=a("a"),la=i("VideoMAE: Masked Autoencoders are Data-Efficient Learners for Self-Supervised Video Pre-Training"),ca=i(` by Zhan Tong, Yibing Song, Jue Wang, Limin Wang.
VideoMAE extends masked auto encoders (`),no=a("a"),ma=i("MAE"),pa=i(") to video, claiming state-of-the-art performance on several video classification benchmarks."),_t=m(),io=a("p"),ha=i("The abstract from the paper is the following:"),vt=m(),lo=a("p"),Lo=a("em"),fa=i("Pre-training video transformers on extra large-scale datasets is generally required to achieve premier performance on relatively small datasets. In this paper, we show that video masked autoencoders (VideoMAE) are data-efficient learners for self-supervised video pre-training (SSVP). We are inspired by the recent ImageMAE and propose customized video tube masking and reconstruction. These simple designs turn out to be effective for overcoming information leakage caused by the temporal correlation during video reconstruction. We obtain three important findings on SSVP: (1) An extremely high proportion of masking ratio (i.e., 90% to 95%) still yields favorable performance of VideoMAE. The temporally redundant video content enables higher masking ratio than that of images. (2) VideoMAE achieves impressive results on very small datasets (i.e., around 3k-4k videos) without using any extra data. This is partially ascribed to the challenging task of video reconstruction to enforce high-level structure learning. (3) VideoMAE shows that data quality is more important than data quantity for SSVP. Domain shift between pre-training and target datasets are important issues in SSVP. Notably, our VideoMAE with the vanilla ViT backbone can achieve 83.9% on Kinects-400, 75.3% on Something-Something V2, 90.8% on UCF101, and 61.1% on HMDB51 without using any extra data."),bt=m(),co=a("p"),ga=i("Tips:"),Et=m(),te=a("ul"),Te=a("li"),ua=i("One can use "),mo=a("a"),_a=i("VideoMAEFeatureExtractor"),va=i(" to prepare videos for the model. It will resize + normalize all frames of a video for you."),ba=m(),po=a("li"),ho=a("a"),Ea=i("VideoMAEForPreTraining"),Ma=i(" includes the decoder on top for self-supervised pre-training."),Mt=m(),ae=a("img"),At=m(),se=a("small"),Aa=i("VideoMAE pre-training. Taken from the "),fo=a("a"),ya=i("original paper"),wa=i("."),yt=m(),D=a("p"),Va=i("This model was contributed by "),xe=a("a"),$a=i("nielsr"),Ta=i(`.
The original code can be found `),Pe=a("a"),xa=i("here"),Pa=i("."),wt=m(),O=a("h2"),re=a("a"),Ro=a("span"),E(je.$$.fragment),ja=m(),Oo=a("span"),ka=i("Resources"),Vt=m(),go=a("p"),za=i(`A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with VideoMAE. If
you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll
review it! The resource should ideally demonstrate something new instead of duplicating an existing resource.`),$t=m(),uo=a("p"),Uo=a("strong"),Ca=i("Video classification"),Tt=m(),L=a("ul"),_o=a("li"),ke=a("a"),Ia=i("A notebook"),Fa=i(` that shows how
to fine-tune a VideoMAE model on a custom dataset.`),Na=m(),Wo=a("li"),ze=a("a"),Sa=i("Video classification task page"),qa=m(),vo=a("li"),Ce=a("a"),Da=i("A \u{1F917} Space"),La=i(" showing how to perform inference with a video classification model."),xt=m(),U=a("h2"),ne=a("a"),Go=a("span"),E(Ie.$$.fragment),Ra=m(),Jo=a("span"),Oa=i("VideoMAEConfig"),Pt=m(),x=a("div"),E(Fe.$$.fragment),Ua=m(),W=a("p"),Wa=i("This is the configuration class to store the configuration of a "),bo=a("a"),Ga=i("VideoMAEModel"),Ja=i(`. It is used to instantiate a
VideoMAE model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the VideoMAE
`),Ne=a("a"),Ha=i("MCG-NJU/videomae-base"),Ba=i(" architecture."),Ka=m(),G=a("p"),Ya=i("Configuration objects inherit from "),Eo=a("a"),Za=i("PretrainedConfig"),Xa=i(` and can be used to control the model outputs. Read the
documentation from `),Mo=a("a"),Qa=i("PretrainedConfig"),es=i(" for more information."),os=m(),E(ie.$$.fragment),jt=m(),J=a("h2"),de=a("a"),Ho=a("span"),E(Se.$$.fragment),ts=m(),Bo=a("span"),as=i("VideoMAEFeatureExtractor"),kt=m(),z=a("div"),E(qe.$$.fragment),ss=m(),Ko=a("p"),rs=i("Constructs a VideoMAE image processor."),ns=m(),le=a("div"),E(De.$$.fragment),is=m(),Yo=a("p"),ds=i("Preprocess an image or a batch of images."),zt=m(),H=a("h2"),ce=a("a"),Zo=a("span"),E(Le.$$.fragment),ls=m(),Xo=a("span"),cs=i("VideoMAEImageProcessor"),Ct=m(),C=a("div"),E(Re.$$.fragment),ms=m(),Qo=a("p"),ps=i("Constructs a VideoMAE image processor."),hs=m(),me=a("div"),E(Oe.$$.fragment),fs=m(),et=a("p"),gs=i("Preprocess an image or batch of images."),It=m(),B=a("h2"),pe=a("a"),ot=a("span"),E(Ue.$$.fragment),us=m(),tt=a("span"),_s=i("VideoMAEModel"),Ft=m(),I=a("div"),E(We.$$.fragment),vs=m(),Ge=a("p"),bs=i(`The bare VideoMAE Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Je=a("a"),Es=i("torch.nn.Module"),Ms=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),As=m(),P=a("div"),E(He.$$.fragment),ys=m(),K=a("p"),ws=i("The "),Ao=a("a"),Vs=i("VideoMAEModel"),$s=i(" forward method, overrides the "),at=a("code"),Ts=i("__call__"),xs=i(" special method."),Ps=m(),E(he.$$.fragment),js=m(),E(fe.$$.fragment),Nt=m(),Y=a("h2"),ge=a("a"),st=a("span"),E(Be.$$.fragment),ks=m(),rt=a("span"),zs=i("VideoMAEForPreTraining"),St=m(),F=a("div"),E(Ke.$$.fragment),Cs=m(),Ye=a("p"),Is=i(`The VideoMAE Model transformer with the decoder on top for self-supervised pre-training.
This model is a PyTorch `),Ze=a("a"),Fs=i("torch.nn.Module"),Ns=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ss=m(),j=a("div"),E(Xe.$$.fragment),qs=m(),Z=a("p"),Ds=i("The "),yo=a("a"),Ls=i("VideoMAEForPreTraining"),Rs=i(" forward method, overrides the "),nt=a("code"),Os=i("__call__"),Us=i(" special method."),Ws=m(),E(ue.$$.fragment),Gs=m(),E(_e.$$.fragment),qt=m(),X=a("h2"),ve=a("a"),it=a("span"),E(Qe.$$.fragment),Js=m(),dt=a("span"),Hs=i("VideoMAEForVideoClassification"),Dt=m(),N=a("div"),E(eo.$$.fragment),Bs=m(),oo=a("p"),Ks=i(`VideoMAE Model transformer with a video classification head on top (a linear layer on top of the final hidden state of
the [CLS] token) e.g. for ImageNet.
This model is a PyTorch `),to=a("a"),Ys=i("torch.nn.Module"),Zs=i(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Xs=m(),k=a("div"),E(ao.$$.fragment),Qs=m(),Q=a("p"),er=i("The "),wo=a("a"),or=i("VideoMAEForVideoClassification"),tr=i(" forward method, overrides the "),lt=a("code"),ar=i("__call__"),sr=i(" special method."),rr=m(),E(be.$$.fragment),nr=m(),E(Ee.$$.fragment),this.h()},l(e){const c=bn('[data-svelte="svelte-1phssyn"]',document.head);h=s(c,"META",{name:!0,content:!0}),c.forEach(t),b=p(e),_=s(e,"H1",{class:!0});var so=r(_);g=s(so,"A",{id:!0,class:!0,href:!0});var ct=r(g);v=s(ct,"SPAN",{});var mt=r(v);M(n.$$.fragment,mt),mt.forEach(t),ct.forEach(t),u=p(so),T=s(so,"SPAN",{});var pt=r(T);ra=d(pt,"VideoMAE"),pt.forEach(t),so.forEach(t),gt=p(e),R=s(e,"H2",{class:!0});var ro=r(R);oe=s(ro,"A",{id:!0,class:!0,href:!0});var ht=r(oe);qo=s(ht,"SPAN",{});var ft=r(qo);M(Ve.$$.fragment,ft),ft.forEach(t),ht.forEach(t),na=p(ro),Do=s(ro,"SPAN",{});var pr=r(Do);ia=d(pr,"Overview"),pr.forEach(t),ro.forEach(t),ut=p(e),q=s(e,"P",{});var Vo=r(q);da=d(Vo,"The VideoMAE model was proposed in "),$e=s(Vo,"A",{href:!0,rel:!0});var hr=r($e);la=d(hr,"VideoMAE: Masked Autoencoders are Data-Efficient Learners for Self-Supervised Video Pre-Training"),hr.forEach(t),ca=d(Vo,` by Zhan Tong, Yibing Song, Jue Wang, Limin Wang.
VideoMAE extends masked auto encoders (`),no=s(Vo,"A",{href:!0});var fr=r(no);ma=d(fr,"MAE"),fr.forEach(t),pa=d(Vo,") to video, claiming state-of-the-art performance on several video classification benchmarks."),Vo.forEach(t),_t=p(e),io=s(e,"P",{});var gr=r(io);ha=d(gr,"The abstract from the paper is the following:"),gr.forEach(t),vt=p(e),lo=s(e,"P",{});var ur=r(lo);Lo=s(ur,"EM",{});var _r=r(Lo);fa=d(_r,"Pre-training video transformers on extra large-scale datasets is generally required to achieve premier performance on relatively small datasets. In this paper, we show that video masked autoencoders (VideoMAE) are data-efficient learners for self-supervised video pre-training (SSVP). We are inspired by the recent ImageMAE and propose customized video tube masking and reconstruction. These simple designs turn out to be effective for overcoming information leakage caused by the temporal correlation during video reconstruction. We obtain three important findings on SSVP: (1) An extremely high proportion of masking ratio (i.e., 90% to 95%) still yields favorable performance of VideoMAE. The temporally redundant video content enables higher masking ratio than that of images. (2) VideoMAE achieves impressive results on very small datasets (i.e., around 3k-4k videos) without using any extra data. This is partially ascribed to the challenging task of video reconstruction to enforce high-level structure learning. (3) VideoMAE shows that data quality is more important than data quantity for SSVP. Domain shift between pre-training and target datasets are important issues in SSVP. Notably, our VideoMAE with the vanilla ViT backbone can achieve 83.9% on Kinects-400, 75.3% on Something-Something V2, 90.8% on UCF101, and 61.1% on HMDB51 without using any extra data."),_r.forEach(t),ur.forEach(t),bt=p(e),co=s(e,"P",{});var vr=r(co);ga=d(vr,"Tips:"),vr.forEach(t),Et=p(e),te=s(e,"UL",{});var Rt=r(te);Te=s(Rt,"LI",{});var Ot=r(Te);ua=d(Ot,"One can use "),mo=s(Ot,"A",{href:!0});var br=r(mo);_a=d(br,"VideoMAEFeatureExtractor"),br.forEach(t),va=d(Ot," to prepare videos for the model. It will resize + normalize all frames of a video for you."),Ot.forEach(t),ba=p(Rt),po=s(Rt,"LI",{});var ir=r(po);ho=s(ir,"A",{href:!0});var Er=r(ho);Ea=d(Er,"VideoMAEForPreTraining"),Er.forEach(t),Ma=d(ir," includes the decoder on top for self-supervised pre-training."),ir.forEach(t),Rt.forEach(t),Mt=p(e),ae=s(e,"IMG",{src:!0,alt:!0,width:!0}),At=p(e),se=s(e,"SMALL",{});var Ut=r(se);Aa=d(Ut,"VideoMAE pre-training. Taken from the "),fo=s(Ut,"A",{href:!0});var Mr=r(fo);ya=d(Mr,"original paper"),Mr.forEach(t),wa=d(Ut,"."),Ut.forEach(t),yt=p(e),D=s(e,"P",{});var $o=r(D);Va=d($o,"This model was contributed by "),xe=s($o,"A",{href:!0,rel:!0});var Ar=r(xe);$a=d(Ar,"nielsr"),Ar.forEach(t),Ta=d($o,`.
The original code can be found `),Pe=s($o,"A",{href:!0,rel:!0});var yr=r(Pe);xa=d(yr,"here"),yr.forEach(t),Pa=d($o,"."),$o.forEach(t),wt=p(e),O=s(e,"H2",{class:!0});var Wt=r(O);re=s(Wt,"A",{id:!0,class:!0,href:!0});var wr=r(re);Ro=s(wr,"SPAN",{});var Vr=r(Ro);M(je.$$.fragment,Vr),Vr.forEach(t),wr.forEach(t),ja=p(Wt),Oo=s(Wt,"SPAN",{});var $r=r(Oo);ka=d($r,"Resources"),$r.forEach(t),Wt.forEach(t),Vt=p(e),go=s(e,"P",{});var Tr=r(go);za=d(Tr,`A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with VideoMAE. If
you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll
review it! The resource should ideally demonstrate something new instead of duplicating an existing resource.`),Tr.forEach(t),$t=p(e),uo=s(e,"P",{});var xr=r(uo);Uo=s(xr,"STRONG",{});var Pr=r(Uo);Ca=d(Pr,"Video classification"),Pr.forEach(t),xr.forEach(t),Tt=p(e),L=s(e,"UL",{});var To=r(L);_o=s(To,"LI",{});var dr=r(_o);ke=s(dr,"A",{href:!0,rel:!0});var jr=r(ke);Ia=d(jr,"A notebook"),jr.forEach(t),Fa=d(dr,` that shows how
to fine-tune a VideoMAE model on a custom dataset.`),dr.forEach(t),Na=p(To),Wo=s(To,"LI",{});var kr=r(Wo);ze=s(kr,"A",{href:!0,rel:!0});var zr=r(ze);Sa=d(zr,"Video classification task page"),zr.forEach(t),kr.forEach(t),qa=p(To),vo=s(To,"LI",{});var lr=r(vo);Ce=s(lr,"A",{href:!0,rel:!0});var Cr=r(Ce);Da=d(Cr,"A \u{1F917} Space"),Cr.forEach(t),La=d(lr," showing how to perform inference with a video classification model."),lr.forEach(t),To.forEach(t),xt=p(e),U=s(e,"H2",{class:!0});var Gt=r(U);ne=s(Gt,"A",{id:!0,class:!0,href:!0});var Ir=r(ne);Go=s(Ir,"SPAN",{});var Fr=r(Go);M(Ie.$$.fragment,Fr),Fr.forEach(t),Ir.forEach(t),Ra=p(Gt),Jo=s(Gt,"SPAN",{});var Nr=r(Jo);Oa=d(Nr,"VideoMAEConfig"),Nr.forEach(t),Gt.forEach(t),Pt=p(e),x=s(e,"DIV",{class:!0});var Me=r(x);M(Fe.$$.fragment,Me),Ua=p(Me),W=s(Me,"P",{});var xo=r(W);Wa=d(xo,"This is the configuration class to store the configuration of a "),bo=s(xo,"A",{href:!0});var Sr=r(bo);Ga=d(Sr,"VideoMAEModel"),Sr.forEach(t),Ja=d(xo,`. It is used to instantiate a
VideoMAE model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the VideoMAE
`),Ne=s(xo,"A",{href:!0,rel:!0});var qr=r(Ne);Ha=d(qr,"MCG-NJU/videomae-base"),qr.forEach(t),Ba=d(xo," architecture."),xo.forEach(t),Ka=p(Me),G=s(Me,"P",{});var Po=r(G);Ya=d(Po,"Configuration objects inherit from "),Eo=s(Po,"A",{href:!0});var Dr=r(Eo);Za=d(Dr,"PretrainedConfig"),Dr.forEach(t),Xa=d(Po,` and can be used to control the model outputs. Read the
documentation from `),Mo=s(Po,"A",{href:!0});var Lr=r(Mo);Qa=d(Lr,"PretrainedConfig"),Lr.forEach(t),es=d(Po," for more information."),Po.forEach(t),os=p(Me),M(ie.$$.fragment,Me),Me.forEach(t),jt=p(e),J=s(e,"H2",{class:!0});var Jt=r(J);de=s(Jt,"A",{id:!0,class:!0,href:!0});var Rr=r(de);Ho=s(Rr,"SPAN",{});var Or=r(Ho);M(Se.$$.fragment,Or),Or.forEach(t),Rr.forEach(t),ts=p(Jt),Bo=s(Jt,"SPAN",{});var Ur=r(Bo);as=d(Ur,"VideoMAEFeatureExtractor"),Ur.forEach(t),Jt.forEach(t),kt=p(e),z=s(e,"DIV",{class:!0});var jo=r(z);M(qe.$$.fragment,jo),ss=p(jo),Ko=s(jo,"P",{});var Wr=r(Ko);rs=d(Wr,"Constructs a VideoMAE image processor."),Wr.forEach(t),ns=p(jo),le=s(jo,"DIV",{class:!0});var Ht=r(le);M(De.$$.fragment,Ht),is=p(Ht),Yo=s(Ht,"P",{});var Gr=r(Yo);ds=d(Gr,"Preprocess an image or a batch of images."),Gr.forEach(t),Ht.forEach(t),jo.forEach(t),zt=p(e),H=s(e,"H2",{class:!0});var Bt=r(H);ce=s(Bt,"A",{id:!0,class:!0,href:!0});var Jr=r(ce);Zo=s(Jr,"SPAN",{});var Hr=r(Zo);M(Le.$$.fragment,Hr),Hr.forEach(t),Jr.forEach(t),ls=p(Bt),Xo=s(Bt,"SPAN",{});var Br=r(Xo);cs=d(Br,"VideoMAEImageProcessor"),Br.forEach(t),Bt.forEach(t),Ct=p(e),C=s(e,"DIV",{class:!0});var ko=r(C);M(Re.$$.fragment,ko),ms=p(ko),Qo=s(ko,"P",{});var Kr=r(Qo);ps=d(Kr,"Constructs a VideoMAE image processor."),Kr.forEach(t),hs=p(ko),me=s(ko,"DIV",{class:!0});var Kt=r(me);M(Oe.$$.fragment,Kt),fs=p(Kt),et=s(Kt,"P",{});var Yr=r(et);gs=d(Yr,"Preprocess an image or batch of images."),Yr.forEach(t),Kt.forEach(t),ko.forEach(t),It=p(e),B=s(e,"H2",{class:!0});var Yt=r(B);pe=s(Yt,"A",{id:!0,class:!0,href:!0});var Zr=r(pe);ot=s(Zr,"SPAN",{});var Xr=r(ot);M(Ue.$$.fragment,Xr),Xr.forEach(t),Zr.forEach(t),us=p(Yt),tt=s(Yt,"SPAN",{});var Qr=r(tt);_s=d(Qr,"VideoMAEModel"),Qr.forEach(t),Yt.forEach(t),Ft=p(e),I=s(e,"DIV",{class:!0});var zo=r(I);M(We.$$.fragment,zo),vs=p(zo),Ge=s(zo,"P",{});var Zt=r(Ge);bs=d(Zt,`The bare VideoMAE Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Je=s(Zt,"A",{href:!0,rel:!0});var en=r(Je);Es=d(en,"torch.nn.Module"),en.forEach(t),Ms=d(Zt,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Zt.forEach(t),As=p(zo),P=s(zo,"DIV",{class:!0});var Ae=r(P);M(He.$$.fragment,Ae),ys=p(Ae),K=s(Ae,"P",{});var Co=r(K);ws=d(Co,"The "),Ao=s(Co,"A",{href:!0});var on=r(Ao);Vs=d(on,"VideoMAEModel"),on.forEach(t),$s=d(Co," forward method, overrides the "),at=s(Co,"CODE",{});var tn=r(at);Ts=d(tn,"__call__"),tn.forEach(t),xs=d(Co," special method."),Co.forEach(t),Ps=p(Ae),M(he.$$.fragment,Ae),js=p(Ae),M(fe.$$.fragment,Ae),Ae.forEach(t),zo.forEach(t),Nt=p(e),Y=s(e,"H2",{class:!0});var Xt=r(Y);ge=s(Xt,"A",{id:!0,class:!0,href:!0});var an=r(ge);st=s(an,"SPAN",{});var sn=r(st);M(Be.$$.fragment,sn),sn.forEach(t),an.forEach(t),ks=p(Xt),rt=s(Xt,"SPAN",{});var rn=r(rt);zs=d(rn,"VideoMAEForPreTraining"),rn.forEach(t),Xt.forEach(t),St=p(e),F=s(e,"DIV",{class:!0});var Io=r(F);M(Ke.$$.fragment,Io),Cs=p(Io),Ye=s(Io,"P",{});var Qt=r(Ye);Is=d(Qt,`The VideoMAE Model transformer with the decoder on top for self-supervised pre-training.
This model is a PyTorch `),Ze=s(Qt,"A",{href:!0,rel:!0});var nn=r(Ze);Fs=d(nn,"torch.nn.Module"),nn.forEach(t),Ns=d(Qt,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Qt.forEach(t),Ss=p(Io),j=s(Io,"DIV",{class:!0});var ye=r(j);M(Xe.$$.fragment,ye),qs=p(ye),Z=s(ye,"P",{});var Fo=r(Z);Ds=d(Fo,"The "),yo=s(Fo,"A",{href:!0});var dn=r(yo);Ls=d(dn,"VideoMAEForPreTraining"),dn.forEach(t),Rs=d(Fo," forward method, overrides the "),nt=s(Fo,"CODE",{});var ln=r(nt);Os=d(ln,"__call__"),ln.forEach(t),Us=d(Fo," special method."),Fo.forEach(t),Ws=p(ye),M(ue.$$.fragment,ye),Gs=p(ye),M(_e.$$.fragment,ye),ye.forEach(t),Io.forEach(t),qt=p(e),X=s(e,"H2",{class:!0});var ea=r(X);ve=s(ea,"A",{id:!0,class:!0,href:!0});var cn=r(ve);it=s(cn,"SPAN",{});var mn=r(it);M(Qe.$$.fragment,mn),mn.forEach(t),cn.forEach(t),Js=p(ea),dt=s(ea,"SPAN",{});var pn=r(dt);Hs=d(pn,"VideoMAEForVideoClassification"),pn.forEach(t),ea.forEach(t),Dt=p(e),N=s(e,"DIV",{class:!0});var No=r(N);M(eo.$$.fragment,No),Bs=p(No),oo=s(No,"P",{});var oa=r(oo);Ks=d(oa,`VideoMAE Model transformer with a video classification head on top (a linear layer on top of the final hidden state of
the [CLS] token) e.g. for ImageNet.
This model is a PyTorch `),to=s(oa,"A",{href:!0,rel:!0});var hn=r(to);Ys=d(hn,"torch.nn.Module"),hn.forEach(t),Zs=d(oa,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),oa.forEach(t),Xs=p(No),k=s(No,"DIV",{class:!0});var we=r(k);M(ao.$$.fragment,we),Qs=p(we),Q=s(we,"P",{});var So=r(Q);er=d(So,"The "),wo=s(So,"A",{href:!0});var fn=r(wo);or=d(fn,"VideoMAEForVideoClassification"),fn.forEach(t),tr=d(So," forward method, overrides the "),lt=s(So,"CODE",{});var gn=r(lt);ar=d(gn,"__call__"),gn.forEach(t),sr=d(So," special method."),So.forEach(t),rr=p(we),M(be.$$.fragment,we),nr=p(we),M(Ee.$$.fragment,we),we.forEach(t),No.forEach(t),this.h()},h(){l(h,"name","hf:doc:metadata"),l(h,"content",JSON.stringify(jn)),l(g,"id","videomae"),l(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(g,"href","#videomae"),l(_,"class","relative group"),l(oe,"id","overview"),l(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(oe,"href","#overview"),l(R,"class","relative group"),l($e,"href","https://arxiv.org/abs/2203.12602"),l($e,"rel","nofollow"),l(no,"href","vit_mae"),l(mo,"href","/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor"),l(ho,"href","/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEForPreTraining"),En(ae.src,mr="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/transformers/model_doc/videomae_architecture.jpeg")||l(ae,"src",mr),l(ae,"alt","drawing"),l(ae,"width","600"),l(fo,"href","https://arxiv.org/abs/2203.12602"),l(xe,"href","https://huggingface.co/nielsr"),l(xe,"rel","nofollow"),l(Pe,"href","https://github.com/MCG-NJU/VideoMAE"),l(Pe,"rel","nofollow"),l(re,"id","resources"),l(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(re,"href","#resources"),l(O,"class","relative group"),l(ke,"href","https://github.com/huggingface/notebooks/blob/main/examples/video_classification.ipynb"),l(ke,"rel","nofollow"),l(ze,"href","https://huggingface.co/tasks/video-classification"),l(ze,"rel","nofollow"),l(Ce,"href","https://huggingface.co/spaces/sayakpaul/video-classification-ucf101-subset"),l(Ce,"rel","nofollow"),l(ne,"id","transformers.VideoMAEConfig"),l(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ne,"href","#transformers.VideoMAEConfig"),l(U,"class","relative group"),l(bo,"href","/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEModel"),l(Ne,"href","https://huggingface.co/MCG-NJU/videomae-base"),l(Ne,"rel","nofollow"),l(Eo,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(Mo,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(de,"id","transformers.VideoMAEImageProcessor"),l(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(de,"href","#transformers.VideoMAEImageProcessor"),l(J,"class","relative group"),l(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ce,"id","transformers.VideoMAEImageProcessor"),l(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ce,"href","#transformers.VideoMAEImageProcessor"),l(H,"class","relative group"),l(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(pe,"id","transformers.VideoMAEModel"),l(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(pe,"href","#transformers.VideoMAEModel"),l(B,"class","relative group"),l(Je,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Je,"rel","nofollow"),l(Ao,"href","/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEModel"),l(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ge,"id","transformers.VideoMAEForPreTraining"),l(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ge,"href","#transformers.VideoMAEForPreTraining"),l(Y,"class","relative group"),l(Ze,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Ze,"rel","nofollow"),l(yo,"href","/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEForPreTraining"),l(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ve,"id","transformers.VideoMAEForVideoClassification"),l(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ve,"href","#transformers.VideoMAEForVideoClassification"),l(X,"class","relative group"),l(to,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(to,"rel","nofollow"),l(wo,"href","/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEForVideoClassification"),l(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,c){o(document.head,h),f(e,b,c),f(e,_,c),o(_,g),o(g,v),A(n,v,null),o(_,u),o(_,T),o(T,ra),f(e,gt,c),f(e,R,c),o(R,oe),o(oe,qo),A(Ve,qo,null),o(R,na),o(R,Do),o(Do,ia),f(e,ut,c),f(e,q,c),o(q,da),o(q,$e),o($e,la),o(q,ca),o(q,no),o(no,ma),o(q,pa),f(e,_t,c),f(e,io,c),o(io,ha),f(e,vt,c),f(e,lo,c),o(lo,Lo),o(Lo,fa),f(e,bt,c),f(e,co,c),o(co,ga),f(e,Et,c),f(e,te,c),o(te,Te),o(Te,ua),o(Te,mo),o(mo,_a),o(Te,va),o(te,ba),o(te,po),o(po,ho),o(ho,Ea),o(po,Ma),f(e,Mt,c),f(e,ae,c),f(e,At,c),f(e,se,c),o(se,Aa),o(se,fo),o(fo,ya),o(se,wa),f(e,yt,c),f(e,D,c),o(D,Va),o(D,xe),o(xe,$a),o(D,Ta),o(D,Pe),o(Pe,xa),o(D,Pa),f(e,wt,c),f(e,O,c),o(O,re),o(re,Ro),A(je,Ro,null),o(O,ja),o(O,Oo),o(Oo,ka),f(e,Vt,c),f(e,go,c),o(go,za),f(e,$t,c),f(e,uo,c),o(uo,Uo),o(Uo,Ca),f(e,Tt,c),f(e,L,c),o(L,_o),o(_o,ke),o(ke,Ia),o(_o,Fa),o(L,Na),o(L,Wo),o(Wo,ze),o(ze,Sa),o(L,qa),o(L,vo),o(vo,Ce),o(Ce,Da),o(vo,La),f(e,xt,c),f(e,U,c),o(U,ne),o(ne,Go),A(Ie,Go,null),o(U,Ra),o(U,Jo),o(Jo,Oa),f(e,Pt,c),f(e,x,c),A(Fe,x,null),o(x,Ua),o(x,W),o(W,Wa),o(W,bo),o(bo,Ga),o(W,Ja),o(W,Ne),o(Ne,Ha),o(W,Ba),o(x,Ka),o(x,G),o(G,Ya),o(G,Eo),o(Eo,Za),o(G,Xa),o(G,Mo),o(Mo,Qa),o(G,es),o(x,os),A(ie,x,null),f(e,jt,c),f(e,J,c),o(J,de),o(de,Ho),A(Se,Ho,null),o(J,ts),o(J,Bo),o(Bo,as),f(e,kt,c),f(e,z,c),A(qe,z,null),o(z,ss),o(z,Ko),o(Ko,rs),o(z,ns),o(z,le),A(De,le,null),o(le,is),o(le,Yo),o(Yo,ds),f(e,zt,c),f(e,H,c),o(H,ce),o(ce,Zo),A(Le,Zo,null),o(H,ls),o(H,Xo),o(Xo,cs),f(e,Ct,c),f(e,C,c),A(Re,C,null),o(C,ms),o(C,Qo),o(Qo,ps),o(C,hs),o(C,me),A(Oe,me,null),o(me,fs),o(me,et),o(et,gs),f(e,It,c),f(e,B,c),o(B,pe),o(pe,ot),A(Ue,ot,null),o(B,us),o(B,tt),o(tt,_s),f(e,Ft,c),f(e,I,c),A(We,I,null),o(I,vs),o(I,Ge),o(Ge,bs),o(Ge,Je),o(Je,Es),o(Ge,Ms),o(I,As),o(I,P),A(He,P,null),o(P,ys),o(P,K),o(K,ws),o(K,Ao),o(Ao,Vs),o(K,$s),o(K,at),o(at,Ts),o(K,xs),o(P,Ps),A(he,P,null),o(P,js),A(fe,P,null),f(e,Nt,c),f(e,Y,c),o(Y,ge),o(ge,st),A(Be,st,null),o(Y,ks),o(Y,rt),o(rt,zs),f(e,St,c),f(e,F,c),A(Ke,F,null),o(F,Cs),o(F,Ye),o(Ye,Is),o(Ye,Ze),o(Ze,Fs),o(Ye,Ns),o(F,Ss),o(F,j),A(Xe,j,null),o(j,qs),o(j,Z),o(Z,Ds),o(Z,yo),o(yo,Ls),o(Z,Rs),o(Z,nt),o(nt,Os),o(Z,Us),o(j,Ws),A(ue,j,null),o(j,Gs),A(_e,j,null),f(e,qt,c),f(e,X,c),o(X,ve),o(ve,it),A(Qe,it,null),o(X,Js),o(X,dt),o(dt,Hs),f(e,Dt,c),f(e,N,c),A(eo,N,null),o(N,Bs),o(N,oo),o(oo,Ks),o(oo,to),o(to,Ys),o(oo,Zs),o(N,Xs),o(N,k),A(ao,k,null),o(k,Qs),o(k,Q),o(Q,er),o(Q,wo),o(wo,or),o(Q,tr),o(Q,lt),o(lt,ar),o(Q,sr),o(k,rr),A(be,k,null),o(k,nr),A(Ee,k,null),Lt=!0},p(e,[c]){const so={};c&2&&(so.$$scope={dirty:c,ctx:e}),ie.$set(so);const ct={};c&2&&(ct.$$scope={dirty:c,ctx:e}),he.$set(ct);const mt={};c&2&&(mt.$$scope={dirty:c,ctx:e}),fe.$set(mt);const pt={};c&2&&(pt.$$scope={dirty:c,ctx:e}),ue.$set(pt);const ro={};c&2&&(ro.$$scope={dirty:c,ctx:e}),_e.$set(ro);const ht={};c&2&&(ht.$$scope={dirty:c,ctx:e}),be.$set(ht);const ft={};c&2&&(ft.$$scope={dirty:c,ctx:e}),Ee.$set(ft)},i(e){Lt||(y(n.$$.fragment,e),y(Ve.$$.fragment,e),y(je.$$.fragment,e),y(Ie.$$.fragment,e),y(Fe.$$.fragment,e),y(ie.$$.fragment,e),y(Se.$$.fragment,e),y(qe.$$.fragment,e),y(De.$$.fragment,e),y(Le.$$.fragment,e),y(Re.$$.fragment,e),y(Oe.$$.fragment,e),y(Ue.$$.fragment,e),y(We.$$.fragment,e),y(He.$$.fragment,e),y(he.$$.fragment,e),y(fe.$$.fragment,e),y(Be.$$.fragment,e),y(Ke.$$.fragment,e),y(Xe.$$.fragment,e),y(ue.$$.fragment,e),y(_e.$$.fragment,e),y(Qe.$$.fragment,e),y(eo.$$.fragment,e),y(ao.$$.fragment,e),y(be.$$.fragment,e),y(Ee.$$.fragment,e),Lt=!0)},o(e){w(n.$$.fragment,e),w(Ve.$$.fragment,e),w(je.$$.fragment,e),w(Ie.$$.fragment,e),w(Fe.$$.fragment,e),w(ie.$$.fragment,e),w(Se.$$.fragment,e),w(qe.$$.fragment,e),w(De.$$.fragment,e),w(Le.$$.fragment,e),w(Re.$$.fragment,e),w(Oe.$$.fragment,e),w(Ue.$$.fragment,e),w(We.$$.fragment,e),w(He.$$.fragment,e),w(he.$$.fragment,e),w(fe.$$.fragment,e),w(Be.$$.fragment,e),w(Ke.$$.fragment,e),w(Xe.$$.fragment,e),w(ue.$$.fragment,e),w(_e.$$.fragment,e),w(Qe.$$.fragment,e),w(eo.$$.fragment,e),w(ao.$$.fragment,e),w(be.$$.fragment,e),w(Ee.$$.fragment,e),Lt=!1},d(e){t(h),e&&t(b),e&&t(_),V(n),e&&t(gt),e&&t(R),V(Ve),e&&t(ut),e&&t(q),e&&t(_t),e&&t(io),e&&t(vt),e&&t(lo),e&&t(bt),e&&t(co),e&&t(Et),e&&t(te),e&&t(Mt),e&&t(ae),e&&t(At),e&&t(se),e&&t(yt),e&&t(D),e&&t(wt),e&&t(O),V(je),e&&t(Vt),e&&t(go),e&&t($t),e&&t(uo),e&&t(Tt),e&&t(L),e&&t(xt),e&&t(U),V(Ie),e&&t(Pt),e&&t(x),V(Fe),V(ie),e&&t(jt),e&&t(J),V(Se),e&&t(kt),e&&t(z),V(qe),V(De),e&&t(zt),e&&t(H),V(Le),e&&t(Ct),e&&t(C),V(Re),V(Oe),e&&t(It),e&&t(B),V(Ue),e&&t(Ft),e&&t(I),V(We),V(He),V(he),V(fe),e&&t(Nt),e&&t(Y),V(Be),e&&t(St),e&&t(F),V(Ke),V(Xe),V(ue),V(_e),e&&t(qt),e&&t(X),V(Qe),e&&t(Dt),e&&t(N),V(eo),V(ao),V(be),V(Ee)}}}const jn={local:"videomae",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.VideoMAEConfig",title:"VideoMAEConfig"},{local:"transformers.VideoMAEImageProcessor",title:"VideoMAEFeatureExtractor"},{local:"transformers.VideoMAEImageProcessor",title:"VideoMAEImageProcessor"},{local:"transformers.VideoMAEModel",title:"VideoMAEModel"},{local:"transformers.VideoMAEForPreTraining",title:"VideoMAEForPreTraining"},{local:"transformers.VideoMAEForVideoClassification",title:"VideoMAEForVideoClassification"}],title:"VideoMAE"};function kn($){return Mn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class qn extends un{constructor(h){super();_n(this,h,kn,Pn,vn,{})}}export{qn as default,jn as metadata};
